﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Windows.Documents;

namespace XDGDataTable
{
    public class ViewModel : ObservableModel
    {
        private DataTable _data;
        private List<string> _comboOptions;

        public DataTable Data
        {
            get
            {
                return _data;
            }
            set
            {
                _data = value;
                NotifyPropertyChanged();
            }
        }

        public List<string> ComboOptions
        {
            get
            {
                return _comboOptions;
            }
            set
            {
                _comboOptions = value;
                NotifyPropertyChanged();
            }
        }

        public ViewModel()
        {
            this.Data = new DataTable("SampleDataTable");

            // Add columns to the DataTable
            this.Data.Columns.Add("ID", typeof(string));
            this.Data.Columns.Add("Name", typeof(string));
            this.Data.Columns.Add("Age", typeof(string));
            this.Data.Columns.Add("Country", typeof(string));

            // Add some sample data
            this.Data.Rows.Add(1, "John", "30", "USA");
            this.Data.Rows.Add(2, "Alice", "25", "Canada");
            this.Data.Rows.Add(3, "Bob", "35", "UK");
            this.Data.Rows.Add(4, "Emma", "28", "Australia");

            this.Data.ColumnChanged += Data_ColumnChanged;

            this.ComboOptions = new List<string> { "option1", "option2", "option3" };
        }

        private void Data_ColumnChanged(object sender, DataColumnChangeEventArgs e)
        {
            Console.WriteLine("value changed! " + e.Column.ColumnName + " " + e.ProposedValue.ToString());
        }


    }
}
